## ros-rolling-moveit-planners-ompl 2.8.0

=== debian/changelog ===
ros-rolling-moveit-planners-ompl (2.8.0-2jammy) jammy; urgency=high

  * Fix typo in model_based_planning_context.h (#2243 <https://github.com/ros-planning/moveit2/issues/2243>)
  * Warn if optimization objective does not match expected values (#2213 <https://github.com/ros-planning/moveit2/issues/2213>)
    * Warn if optimization objective does not match expected values
    * Update moveit_planners/ompl/ompl_interface/src/model_based_planning_context.cpp
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
    * Format
    ---------
  * Contributors: Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-planners-ompl (2.7.4-2jammy) jammy; urgency=high

  * Fix Constraint Planning Segfault (#2130 <https://github.com/ros-planning/moveit2/issues/2130>)
    * Fix Constraint Planning Segfault
    * Reuse planner data
    * apply clang formatting
    * apply clang formatting round 2
    * add FIXME note and verbose output of planning graph size
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Marq Rasmussen

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-planners-ompl (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-planners-ompl (2.7.2-2jammy) jammy; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-planners-ompl (2.7.1-2jammy) jammy; urgency=high

  * Fix include install destination (#2008 <https://github.com/ros-planning/moveit2/issues/2008>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Temporarily disable TestPathConstraints with the Panda robot (#2016 <https://github.com/ros-planning/moveit2/issues/2016>)
    This test has become flaky since it was modified to use the OMPL constrained state space (https://github.com/ros-planning/moveit2/issues/2015).
  * Increase priority for constrained planning state space (#1300 <https://github.com/ros-planning/moveit2/issues/1300>)
    * Change priority for the constrained planning state space
    * Fix constrained planning tests
    * Use PRM instead of RRTConnect
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: Abhijeet Dasgupta, AlexWebb, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-planners-ompl (2.7.0-2jammy) jammy; urgency=high

  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Cleanup msg includes: Use C++ instead of C header (#1844 <https://github.com/ros-planning/moveit2/issues/1844>)
  * Remove ancient OMPL version directives (#1825 <https://github.com/ros-planning/moveit2/issues/1825>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Abhijeet Das Gupta, Chris Thrasher, Christian Henkel, Cory Crean, Henning Kayser, Robert Haschke, Sameer Gupta

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-moveit-planners-ompl (2.6.0-2jammy) jammy; urgency=high

  * Fix logic with enforcing constrained planning state space in OMPL (#1589 <https://github.com/ros-planning/moveit2/issues/1589>)
  * Convert OMPL status to MoveItErrorCode in the OMPL interface (#1606 <https://github.com/ros-planning/moveit2/issues/1606>)
  * Factor of 2 in OMPL orientation constraints, to match kinematic_constraints (#1592 <https://github.com/ros-planning/moveit2/issues/1592>)

